Subject: Notebook as a router/firewall - SUCCESS

From: [email-masked] (Jason)
Date: Thu, 21 Jun 2001 11:28:03 +0000

Bob George wrote:
> 
> "George Toft" <[email-masked]> wrote:
> > [...]
> > Since you may not recall my previous statements, let me recap: I pointed
> > out that laptops were not well suited as routers because of the heat
> > buildup from running the hard drive continuously.  This was based on my
> > experience replacing the hard drive in my laptop two times.
> 
> I've considered doing a laptop/notebook firewall/gateway using a
> floppy-based or CD-ROM based distribution. The form-factor is perfect, and
> not having a hard drive should really keep it cool. That's a consideration,
> especially during the hot months. I don't mind burning out a drive, but
> having my office run 10 degrees warmer than the rest of the house is a bit
> of a drag.

If its simply a need to use a router, why not create a system with a
large amount of ram, and miminal software (i.e. full router suite
only). Then keep everything in RAMdisk.

The paranoid will point out the need for firewall logs on HD, but,
really: if an attacker can erase the RAMdisk, the attacker can also
erase the HD.  The only thing logs on HD will genuinely show advantage
in is a power failure or power supply failure... both of which are
entirely more likely on a system with an HD anyways (a ramdisk-based
system that spins down its HD after bootup will last far longer on UPS
power than one with an active HD. Also, same HD puts more strain (and
hence, heat) on power supplies)

Or do it "right" and log to one of those cartridges that plugs into
the IDE "slot" (formerly cable connector) on most motherboards...

-- 
jkenner @ mindspring . com__
I Support Linux:           _> _  _ |_  _  _     _|
Working Together To       <__(_||_)| )| `(_|(_)(_|
To Build A Better Future.       |                   <s>